gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Line canvas item A canvas item for drawing lines. This canvas item uses a structure so one or multiple joined lined segments can be drawn with a single item. `// LineExample.cs - Displays triangle using gnome canvas // Compile: mcs -r gtk-sharp.dll -r gnome-sharp.dll LineExample.cs namespace GnomeSamples { using System; using Gtk; using Gnome; public class LineExample { public static int Main (string[] args) { Application.Init (); Gtk.Window win = new Gtk.Window ("Canvas line example"); win.DeleteEvent += new DeleteEventHandler (Window_Delete); Canvas canvas = new Canvas (); win.Add (canvas); CanvasLine line = new CanvasLine (canvas.Root ()); line.Points = new CanvasPoints (new double[]{40,0, 0,80, 80,80, 40,0}); win.ShowAll (); Application.Run (); return 0; } static void Window_Delete (object obj, DeleteEventArgs args) { Application.Quit (); args.RetVal = true; } } }` Gnome.CanvasItem GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CanvasLine, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new line
  The that this item belongs to.
  the newly-created object
- Property
  Gdk.Drawable Stipple pattern for the line. Stipple pattern for the line. Stipple pattern for the line.
- Property
  System.Double Distance from tip of arrowhead to trailing point, measured along the shaft. Distance from tip of arrowhead to trailing point, measured along shaft. Distance from tip of arrowhead to trailing point, measured along shaft.
- Property
  System.Double Distance from tip of arrowhead to center. Distance from tip of arrowhead to center. Distance from tip of arrowhead to center.
- Property
  System.Boolean Specifies whether to smooth the line using parabolic splines. to smooth the line Whether to smooth the line using parabolic splines
- Property
  Gdk.LineStyle Line dash style. Line dash style Line dash style
- Property
  Gnome.CanvasPoints a pointer. This can be created by a call to the constructor. a pointer. a pointer.
- Property
  System.Boolean Specifies whether to draw an arrowhead on the first point of the line. to draw an arrowhead whether to draw an arrowhead on the first point of the line.
- Property
  System.UInt32 Specifies the number of steps to use when rendering curves. the number of steps to use when rendering curves. the number of steps to use when rendering curves.
- Property
  System.Boolean Specifies whether to draw an arrowhead on the last point of the line. to draw an arrowhead whether to draw an arrowhead on the last point of the line. To be added
- Property
  Gdk.CapStyle Determines how the ends of lines are drawn (the line cap style). the line cap style. the line cap style
- Property
  Gdk.JoinStyle Vertex join style for line segments the vertext join style Vertex join style

  ( to join by extending each line to meet at an angle, to join by a circular arc, and to join by a straight line which makes an equal angle with each line)

- Property
  System.UInt32 Line color with an alpha component (in the format 0xRRGGBBAA). line color with alpha component the line color
- Property
  Gdk.Color The to draw the line with. the line color the line color
- Property
  System.Double Width of the line in canvas units. The line width will be scaled when the canvas zoom factor changes. width of the line width of the line in canvas units
- Property
  System.Double Distance of arrowhead trailing points from outside edge of shaft. distance of the arrowing trailing points Distance of arrowhead trailing points from outside edge of shaft.
- Property
  System.UInt32 Width of the line in pixels. The line width will not be scaled when the canvas zoom factor changes. width of the line width of the line in pixels. To be added
- Property
  System.String X color specification for line. X color specification for the line X color specification for the line
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  To be added